scala.tools.nsc

# Reporting

#### trait Reporting extends reflect.internal.Reporting

Provides delegates to the reporter doing the actual work. PerRunReporting implements per-Run stateful info tracking and reporting

TODO: make reporting configurable

Self Type
  Reporting with Positions with CompilationUnits with Symbols
Source
  Reporting.scala

Linear Supertypes
reflect.internal.Reporting, AnyRef, Any
Known Subclasses
Global, ReflectGlobal
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Reporting
2. Reporting
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### class PerRunReporting extends (Reporting.this)#PerRunReportingBase

2. #### abstract class PerRunReportingBase extends AnyRef

   Definition Classes
     Reporting

3. #### trait RunReporting extends AnyRef

   Definition Classes
     Reporting

### Abstract Value Members

1. #### abstract def currentRun: (Reporting.this)#RunReporting

   Definition Classes
     Reporting

2. #### abstract def reporter: Reporter

   Definition Classes
     Reporting

3. #### abstract def settings: Settings

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Reporting to any2stringadd[Reporting] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (Reporting, B)

   Implicit information
     This member is added by an implicit conversion from Reporting to ArrowAssoc[Reporting] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### def PerRunReporting: (Reporting.this)#PerRunReporting

   Attributes
     protected
   Definition Classes
     Reporting → Reporting

7. #### def abort(msg: String): Nothing

   Definition Classes
     Reporting

8. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### def ensuring(cond: (Reporting) ⇒ Boolean, msg: ⇒ Any): Reporting

    Implicit information
      This member is added by an implicit conversion from Reporting to Ensuring[Reporting] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: (Reporting) ⇒ Boolean): Reporting

    Implicit information
      This member is added by an implicit conversion from Reporting to Ensuring[Reporting] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: Boolean, msg: ⇒ Any): Reporting

    Implicit information
      This member is added by an implicit conversion from Reporting to Ensuring[Reporting] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: Boolean): Reporting

    Implicit information
      This member is added by an implicit conversion from Reporting to Ensuring[Reporting] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

16. #### def error(msg: String): Unit

17. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

18. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from Reporting to StringFormat[Reporting] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

19. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

20. #### def globalError(pos: (Reporting.this)#Position, msg: String): Unit

    Definition Classes
      Reporting
    Annotations
      @deprecatedOverriding( ... , "2.11.2" )

21. #### def globalError(msg: String): Unit

    Definition Classes
      Reporting
    Annotations
      @deprecatedOverriding( ... , "2.11.2" )

22. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

23. #### def inform(pos: (Reporting.this)#Position, msg: String): Unit

    Definition Classes
      Reporting
    Annotations
      @deprecatedOverriding( ... , "2.11.2" )

24. #### def inform(msg: String): Unit

    Definition Classes
      Reporting
    Annotations
      @deprecatedOverriding( ... , "2.11.2" )

25. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

26. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

27. #### final def notify(): Unit

    Definition Classes
      AnyRef

28. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

29. #### def supplementErrorMessage(errorMessage: String): String

    Definition Classes
      Reporting

30. #### def supplementTyperState(errorMessage: String): String

    Definition Classes
      Reporting

31. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

32. #### def toString(): String

    Definition Classes
      AnyRef → Any

33. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

36. #### def warning(pos: (Reporting.this)#Position, msg: String): Unit

    Definition Classes
      Reporting
    Annotations
      @deprecatedOverriding( ... , "2.11.2" )

37. #### def warning(msg: String): Unit

    Definition Classes
      Reporting
    Annotations
      @deprecatedOverriding( ... , "2.11.2" )

38. #### def →[B](y: B): (Reporting, B)

    Implicit information
      This member is added by an implicit conversion from Reporting to ArrowAssoc[Reporting] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from reflect.internal.Reporting

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Reporting to any2stringadd[Reporting]

### Inherited by implicit conversion StringFormat from Reporting to StringFormat[Reporting]

### Inherited by implicit conversion Ensuring from Reporting to Ensuring[Reporting]

### Inherited by implicit conversion ArrowAssoc from Reporting to ArrowAssoc[Reporting]

### Ungrouped